NotEnoughIDs Mod

What is NotEnoughtIDs Mod 1.10, 1.9.4, 1.9, 1.8.9, 1.8, 1.7.10

NotEnoughIDsMod

Today I want to introduce to you a new mod – NotEnoughIDs Mod. As you may guess, it is a core mod that extends hardcoded ID limit for blocks. More specifically, it will help you extends ID limit for blocks to around 31999.

What are NotEnoughtIDs mod’s Compatibility? There are some things you could consider before using this mod:

It’s compatible with with Fastcraft and Optifine.

It’s compatible with pre-NEID worlds.

It’s compatible with Underground Biomes Constructs.

It’s Possibly incompatible with some other mods. Please helping us find them out and leave your comments bellow.

Mod installing instruction:

  • Download and install Minecraft Forge
  • Download the mod.
  • Head to %appdata%.
  • Head to .minecraft/mods folder.
  • Drag and put the downloaded jar (zip) file into it.
  • If it does not exist, you can create one.
  • Finish

 Download Link:

For Minecraft 1.7.10: http://www.mediafire.com/download/ao7n1an23974zsw/NotEnoughIDs-1.4.3.3.jar

Mods for Minecraft 1.8 (updating)

Mods for Minecraft 1.9 (updating)

For minecraft 1.9.4 (updating)

Mods For minecraft 1.10 (updating)

 Credit: fewizz

Dear youtuber!
Have you a channel youtube about minecraft?
Do you want to bring your Video to quality visitors?
Do you want your video to appear on our website?
Do you want to become partner with us?
Just 3 steps to become our partner:
Step 1: Make video review for mod, which you like
Step 2: Upload this video to youtube and our link to your video description
Step 3: Send the youtube video link via message to http://fb.com/revozincom or leave a comment in the post. We will add your video in the our post, it will help you have more view.
JOIN to get more youtube view with us!!!!

You may also like...